API Arch

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Arch API and the translation is 100% complete.
(Novembre 2018) Le API di Arch sono elencate in autogenerated API documentation.

Le funzioni API fanno parte dell'ambiente Arch e possono essere usate nelle macro e dalla console Python dopo che il modulo Arch/it è stato importato. L'Ambiente Reinforcement ha le sue Reinforcement API.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)